Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[AWN] Problème d'awn avec xorg-server
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Happi_Meal
n00b
n00b


Joined: 31 Jul 2010
Posts: 5

PostPosted: Tue Aug 24, 2010 7:01 pm    Post subject: [AWN] Problème d'awn avec xorg-server Reply with quote

Bonjour,

Tout d'abord, je suis débutant sous Gentoo Linux, mais pas sous Linux ayant utilisé pendant longtemps Ubuntu, Debian...
Ma configuration actuelle utilise Compiz-Fusion en Standalone c'est à dire en tant que Windows Manager et sans utiliser de surcouche comme le fait un bureau Gnome (pas de bureau, d'app par défaut...etc).
Mon paquet pour X Windows System est xorg-server et pas xorg-x11 il marche bien et l'accélération 3D est activée.

Parcontre j'ai un souci avec avant-window-navigator (un dock) : il est installé (à partir de l'arbre officiel, en démasquant le paquet) cependant quand je souhaite le lancer (en root ou non) il m'affiche :

Quote:


(avant-window-navigator:3781): Gdk-WARNING **: Native Windows wider or taller than 65535 pixels are not supported
Screen is composited.
LOADED : /usr/share/applications/awn-manager.desktop
APPLET : /usr/share/avant-window-navigator/applets/taskman.desktop
The program 'avant-window-navigator' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
(Details: serial 819 error_code 11 request_code 53 minor_code 0)
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the --sync command line
option to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)


J'ai cherché des solutions sur Google mais sans succès. Merci d'avance de l'attention que vous aurez envers ce sujet.

Cordialement, Happi_Meal
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Wed Aug 25, 2010 7:52 am    Post subject: Reply with quote

'alute

Bienvenue sur Gentoo et sur le Forum fr aussi du reste :-)

sous toutes réserves je n'ai pas fait de recherche mais cela semble être un bug à vue de nez - il faudrait voir s'il y a quelque chose de rapporté sur b.g.o à ce sujet - mais en règle générale pour ce type de prog les gens utilisent le plus souvent les packages disponibles dans les overlays et dans leurs dernières moutures plutôt que ceux de l'arbre officiel.

Je ne sais pas quelle est la version que tu utilises d'ailleurs (0.4.x sans doute) mais plusieurs posts du forum semblent indiquer que la version 9999 (i.e. dans l'overlay desktop-effect) se porte comme un charme et règle également plusieurs bug en rapport avec gtk alors si cela se trouve...

btw, ce n'est pas plus mal de cotoyer un peu layman et la notion d'overlay pour parfaire ta découverte de gentoo
-> tu trouveras sans aucune difficulté plus d'info dans la doc officielle et/ou via une recherche sur nos forums pour mettre tout cela en oeuvre ;-)

Edit: j'ai jeté un oeil vite fait et apparemment c'est du 0.3.x dans l'arbre donc pas forcément très en phase avec le reste des libs - tu devrais mieux te trourner vers l'overlay desktop-effect et tester leurs versions

Et pour commencer un peu de lecture (non exhaustive) sur les overlays et quelques topics du forum sur awn ; que tu as dû voir je pense mais sait-on jamais que tu rencontres des points déjà soulevés ( ; )
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Happi_Meal
n00b
n00b


Joined: 31 Jul 2010
Posts: 5

PostPosted: Wed Aug 25, 2010 9:07 am    Post subject: Un, deux compiz oula... Reply with quote

Salut,

Merci boozo de ta réponse, c'est sympa :)

Un problème que j'aurais si j'installe l'overlay desktop-effects c'est qu'il contient des .ebuild de compiz-fusion en version 9999 (quand je dis compiz-fusion c'est son ebuild et ses dépendances) et l'arbre de portage contient aussi l'ebuild de compiz-fusion :'(

J'ai actuellement compiz-fusion en version 0.8.6 (de l'arbre) et j'ai aucun problème.
Or quand j'installe l'overlay il va se servir des ebuilds-9999 non ? Mais ils sont moins stables non ? Comment faire pour dire a portage d'utiliser ce de l'arbre officiel et pas ce de l'overlay ?

Merci d'avance :)
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8039
Location: ~Brussels - Belgique

PostPosted: Wed Aug 25, 2010 9:12 am    Post subject: Reply with quote

Salut,

Tu peux masquer certaines versions via /etc/portage/package.mask
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Wed Aug 25, 2010 10:26 am    Post subject: Reply with quote

En effet, c'est pourquoi je parlais de te familiariser avant avec les overlays et affiner en retour tes connaissances sur gentoo ;-)
dont plusieurs points en vrac :
La gestion des priorités sur les arbres/surcouches (voir la doc et le make.conf)
Les fonctions de masquages des versions spécifiques ou des lots (évoqué par XavierMiller)
Le cas particulier de l'overlay local (par extension)
...

Il y a plusieurs méthodes en fonction des cas.. si tu n'as qu'un seul package voire avec peu de dépendences dessus i.e. tu peux copier juste l(es)'ébuild de l'overlay qui t'intéresse et le(s) gérer en local -> A toi de faire les bumps en temps utile où quand portage te signalera des versions concurrentes
Sinon tu peux masquer ce qui te gène d'un overlay -> là encore il faudra checker de temps à autre pour les montées de version
...
Certaines méthodes peuvent être plus contraignantes que d'autres - surtout sur la question des dépendances - mais c'est vraiment lié aux cas de figures (packages "bleeding-edge" ; changement d'ABI voire de techno => risques en perspective) - et tôt ou tard tu devras certainement à l'usage mixer un peu de toutes donc autant comprendre un peu avant de se trainer dans les galères ensuite ;-) (même si on s'en tire toujours sinon "défaire" et s'y reprendre autrement)

Bref, gentoo c'est avant tout "le choix" :mrgreen:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum